José

Data Fields
jose_io_t Struct Reference
IO

The interface for chained IO. More...

## Data Fields
bool(* | feed )(jose_io_t *io, const void *in, size_t len)
| Pushes data into the IO chain. More...
bool(* | done )(jose_io_t *io)
| Completes the IO chain. More...

## Detailed Description

The interface for chained IO.

See also
  jose_io_malloc()
  jose_io_buffer()
  jose_io_file()
  jose_io_multiplex()
  jose_b64_enc_io()
  jose_b64_dec_io()
  jose_jws_sig_io()
  jose_jws_ver_io()
  jose_jwe_dec_io()
  jose_jwe_dec_cek_io()
  jose_jwe_enc_io()
  jose_jwe_enc_cek_io()

## Field Documentation

## ◆ feed

bool(* jose_io_t::feed) (jose_io_t *io, const void *in, size_t len)

Pushes data into the IO chain.

Parameters

  io | The jose_io_t entity you are using.
  in | The input buffer.
  len | The length of the data in the input buffer.

Returns
  Returns true if all data was consumed, otherwise false.

## ◆ done

bool(* jose_io_t::done) (jose_io_t *io)

Completes the IO chain.

Any data stored in internal buffers will be flushed.

Parameters

  io | The jose_io_t entity you are using.

Returns
  Returns true if flushing was successful, otherwise false.